# PlaneOutlineGeometry

#### new Cesium.PlaneOutlineGeometry()
Core/PlaneOutlineGeometry.js 18

Describes geometry representing the outline of a plane centered at the origin, with a unit width and length.

### Members

#### static Cesium.PlaneOutlineGeometry.packedLength : Number
Core/PlaneOutlineGeometry.js 26

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.PlaneOutlineGeometry.createGeometry() → Geometry|undefined
Core/PlaneOutlineGeometry.js 73

Computes the geometric representation of an outline of a plane, including its vertices, indices, and a bounding sphere.

##### Returns:

The computed vertices and indices.

#### static Cesium.PlaneOutlineGeometry.pack(value, array) → Array.<Number>
Core/PlaneOutlineGeometry.js 36

Stores the provided instance into the provided array.

Name | Type | Description
--- | --- | ---
`value` | PlaneOutlineGeometry | The value to pack.
`array` | Array.<Number> | The array to pack into.

##### Returns:

The array that was packed into

#### static Cesium.PlaneOutlineGeometry.unpack(array, startingIndex, result) → PlaneOutlineGeometry
Core/PlaneOutlineGeometry.js 53

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | PlaneOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new PlaneOutlineGeometry instance if one was not provided.